FreeMat

- Main Page
- Related Pages

vtkStructuredPointsCollection

Section: Visualization Toolkit Filtering Classes

# Usage

vtkStructuredPointsCollection is an object that creates and manipulates lists of structured points datasets. See also vtkCollection and subclasses.

To create an instance of class vtkStructuredPointsCollection, simply invoke its constructor as follows

      obj = vtkStructuredPointsCollection

# Methods

The class vtkStructuredPointsCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStructuredPointsCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStructuredPointsCollection = obj.NewInstance ()`
- `vtkStructuredPointsCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkStructuredPoints ds)` - Get the next item in the collection. NULL is returned if the collection is exhausted.
- `vtkStructuredPoints = obj.GetNextItem ()` - Get the next item in the collection. NULL is returned if the collection is exhausted.